Package Details: lc3tools 12-3

Git Clone URL: https://aur.archlinux.org/lc3tools.git (read-only)
Package Base: lc3tools
Description: Unix LC-3 Simulator from McGraw-Hill Higher Education
Upstream URL: http://highered.mcgraw-hill.com/sites/0072467509/student_view0/
Licenses: LGPL
Provides: lc3sim=12
Submitter: intellitech
Maintainer: blinxwang
Last Packager: blinxwang
Votes: 7
Popularity: 0.433819
First Submitted: 2009-03-06 16:58
Last Updated: 2015-06-09 17:01

Latest Comments

intellitech commented on 2015-02-07 13:09

Great, thank you! Cheers

blinxwang commented on 2015-02-06 20:36

@intellitech Thanks!

I've updated the PKGBUILD and the corresponding source file's URL. It should compile, install, and run flawlessly now.

intellitech commented on 2015-01-29 01:31

Hi @blinxwang,

Sorry, I don't have the time to maintain this package anymore, sadly. I created the package build in college for a systems programming class, and have long since moved on.

I've disowned the package. Please let me know if you change your mind and are no longer interested in maintaining it, as I will reach out to contacts to find a suitable replacement.

Thank you, cheers!

blinxwang commented on 2015-01-28 20:48

Also, I'd be happy to maintain this package if you don't have the time to maintain it.

blinxwang commented on 2015-01-28 20:46

Hi, I've fixed the PKGBUILD; please upload this: http://pastebin.com/PdaBPVds

izmntuk commented on 2015-01-08 14:39

Hello, please update the PKGBUILD: build without a package() is deprecated.

intellitech commented on 2010-04-13 18:50

Thanks for the update, korin43. The PKGBUILD has been updated. Sorry it took so long.

korin43 commented on 2010-03-31 04:23

Ok here's one that will work: http://aur.pastebin.com/Hvrm7sCJ

korin43 commented on 2010-03-31 04:19

Actually, lc3sim-tk doesn't work right unless lc3sim is in its path (for some reason its doesn't just check /usr/bin). Maybe a link would work :\

korin43 commented on 2010-03-31 01:05

LC3 has problems if you don't have the OS code (lc3os.obj and lc3os.sym). I've fixed the PKGBUILD to install them to /usr/lib/lc3tools and also changed the --prefix=/usr to --installdir /usr/lib/lc3tools.

http://aur.pastebin.com/wJH3H881